View Single Post
Old 08-27-2023, 08:12 PM   #10
unbreak51
Junior Member
unbreak51 began at the beginning.
 
Posts: 9
Karma: 10
Join Date: Sep 2021
Device: Kobo
Bonjour,
J'ai un soucis dans l'utilisation de babelio_db. J'utilise calibre dans sa version portable car je stocke tout sur un ssd externe et ça me permet d'avoir ma biblio sur tous mes pc.
J'ai essayé d'installer le plugin par l'ajout de plugin de l'interface, j'ai essayé aussi de lancer le bat.
Je rencontre l'erreur suivante :
calibre, version 6.25.0
ERREUR : Aucune correspondance trouvée: <p>Impossible de trouver un livre correspondant à votre recherche. Essayer de faire une recherche <b>moins spécifique</b>. Par exemple, utiliser seulement le nom de famille de l'auteur et un mot distinctif du titre.<p> Pour voir le journal en entier, cliquer "Afficher les détails.

Running identify query with parameters:
{'title': 'Succombe moi, tome 2', 'authors': ['Virginie E. Gérard'], 'identifiers': {'isbn': '9782379872556', 'babelio': '1417202', 'babelio_id': 'Gerard-Succombe-moi-tome-2/1417202'}, 'timeout': 30}
Using plugins: Babelio_db (0, 8, 3)
The log from individual plugins is below

****************************** Babelio_db (0, 8, 3) ******************************
Found 0 results
Downloading from Babelio_db took 21.66550064086914
-+-+-+-+-+-+-+-+-+-+ Entry point +-+-+-+-+-+-+-+-+-+-
self.dgb_lvl : 3
self.with_cover : True
self.with_pretty_comments : True
self.with_detailed_rating : True

In identify(self, log, result_queue, abort, title=.., authors=.., identifiers=.., timeout=30)

title : Succombe moi, tome 2
identifiers : {'isbn': '9782379872556', 'babelio': '1417202', 'babelio_id': 'Gerard-Succombe-moi-tome-2/1417202'}
authors : ['Virginie E. Gérard'] <class 'list'>
babelio identifier trouvé... pas de recherche sur babelio... on saute directement au livre

matches : ['https://www.babelio.com/livres/Gerard-Succombe-moi-tome-2/1417202']
[worker 0] entry time : Mon Aug 28 01:05:05 2023
[worker 0] self.url : https://www.babelio.com/livres/Gerar...tome-2/1417202
[worker 0] self.relevance : 0
[worker 0] self.plugin : <calibre_plugins.babelio_db.Babelio object at 0x0000019664FF5000>
[worker 0] self.dbg_lvl : 3
[worker 0] self.timeout : 20
[worker 0] self.with_cover : True
[worker 0] self.with_pretty_comments : True
[worker 0] self.with_detailed_rating : True
submit time : Mon Aug 28 01:05:05 2023

[worker 0] in run(self)

[worker 0] in get_details(self)
[worker 0] calling ret_soup(log, dbg_lvl, br, url, rkt=None, who='')
[worker 0] self.url : https://www.babelio.com/livres/Gerar...tome-2/1417202
[worker 0] Accessing url : https://www.babelio.com/livres/Gerar...tome-2/1417202
[worker 0] (urlopen_with_retry) <urlopen error [SSL: CERTIFICATE_VERIFY_FAILED] certificate verify failed: self signed certificate in certificate chain (_ssl.c:997)> , will retry in 3 seconds...
[worker 0] (urlopen_with_retry) <urlopen error [SSL: CERTIFICATE_VERIFY_FAILED] certificate verify failed: self signed certificate in certificate chain (_ssl.c:997)> , will retry in 6 seconds...
[worker 0] (urlopen_with_retry) <urlopen error [SSL: CERTIFICATE_VERIFY_FAILED] certificate verify failed: self signed certificate in certificate chain (_ssl.c:997)> , will retry in 12 seconds...
[worker 0] exception occured...
get_details failed for url: 'https://www.babelio.com/livres/Gerard-Succombe-moi-tome-2/1417202'
Traceback (most recent call last):
File "mechanize\_urllib2_fork.py", line 1236, in do_open
File "http\client.py", line 1282, in request
File "http\client.py", line 1328, in _send_request
File "http\client.py", line 1277, in endheaders
File "http\client.py", line 1037, in _send_output
File "http\client.py", line 975, in send
File "http\client.py", line 1454, in connect
File "ssl.py", line 512, in wrap_socket
File "ssl.py", line 1070, in _create
File "ssl.py", line 1341, in do_handshake
ssl.SSLCertVerificationError: [SSL: CERTIFICATE_VERIFY_FAILED] certificate verify failed: self signed certificate in certificate chain (_ssl.c:997)

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
File "calibre_plugins.babelio_db.__init__", line 81, in urlopen_with_retry
File "mechanize\_mechanize.py", line 257, in open
File "mechanize\_mechanize.py", line 287, in _mech_open
File "mechanize\_opener.py", line 193, in open
File "mechanize\_urllib2_fork.py", line 425, in _open
File "mechanize\_urllib2_fork.py", line 414, in _call_chain
File "calibre\utils\browser.py", line 28, in https_open
File "mechanize\_urllib2_fork.py", line 1240, in do_open
urllib.error.URLError: <urlopen error [SSL: CERTIFICATE_VERIFY_FAILED] certificate verify failed: self signed certificate in certificate chain (_ssl.c:997)>

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
File "calibre_plugins.babelio_db.worker", line 63, in run
File "calibre_plugins.babelio_db.worker", line 80, in get_details
File "calibre_plugins.babelio_db.__init__", line 60, in __call__
File "calibre_plugins.babelio_db.__init__", line 127, in ret_soup
File "calibre_plugins.babelio_db.__init__", line 98, in urlopen_with_retry
AttributeError: 'URLError' object has no attribute 'code'

************************************************** ******************************
The identify phase took 21.85 seconds
The longest time (21.665501) was taken by: Babelio_db
Merging results from different sources
We have 0 merged results, merging took: 0.00 seconds


J'ai utilisé un livre qui a été trouvé par l'ancienne version de babelio_notes afin d'améliorer mes chances d'avoir un résultat.
J'ai vu une erreur de certificats.
Chose bizarre, quand je vais dans les colonnes perso, je ne vois pas la colonne babelio_id.
Faut-il impérativement la version de calibre desktop?
D'avance merci. J'ai hâte que tout ça fonctionne.
unbreak51 is offline   Reply With Quote